petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCASMCreateSubdomains

Creates the index sets for the overlapping Schwarz preconditioner for a any problem on a general grid.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCASMCreateSubdomains(Mat A, PetscInt n, IS* outis[])

Collective Many br

### Input Parameters

| A | - The global matrix operator Many br
| n | - the number of local blocks Many br

### Output Parameters

outis -the array of index sets defining the subdomains Many br

Many br

Note: this generates nonoverlapping subdomains; the PCASM will generate the overlap Many brfrom these if you use PCASMSetLocalSubdomains() Many br

In the Fortran version you must provide the array outis[] already allocated of length n. Many br

### Keywords

PC, ASM, additive Schwarz, create, subdomains, unstructured grid

### See Also

PCASMSetLocalSubdomains(), PCASMDestroySubdomains()

Level:advanced
Location:src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages